import * as industrialParkServices from '@/services/api/IndustrialPark';
import { useQuery, useQueryClient } from '@tanstack/vue-query';

export function useIndustrialParkDropDownList() {
  const { data: industrialParkList } = useQuery({
    queryKey: ['industrialParkServices/getIndustrialParkDropDownList'],
    queryFn: async () => {
      return await industrialParkServices.getIndustrialParkDropDownList({ showLoading: false });
    },
    placeholderData: () => [] as API.IndustrialParkDropDownOutput[],
  });

  function getIndustrialParkById(industrialParkId: string) {
    const industrialPark = industrialParkList.value.find((item) => item.id === industrialParkId);
    return industrialPark;
  }

  function getIndustrialParkTypeNameById(industrialParkId: string) {
    const industrialPark = getIndustrialParkById(industrialParkId);
    return industrialPark?.parkTypeName ?? '';
  }

  function getIndustrialParkNameById(industrialParkId: string) {
    const industrialPark = getIndustrialParkById(industrialParkId);
    return industrialPark?.parkName ?? '';
  }

  return {
    industrialParkList,
    getIndustrialParkNameById,
    getIndustrialParkById,
    getIndustrialParkTypeNameById,
  };
}
